%def_without static

Name: pstoedit
Version: 3.33
Release: alt5

Summary: converts Postscript(TM) and PDF files to other vector graphic formats
Summary(ru_RU.KOI8-R):   Postscript(TM)  PDF    
Copyright: GPL
Group: Graphics
URL: http://www.pstoedit.net/pstoedit

Source0: %name-%version.tar.bz2
Patch1: %name-3.32-alt1-makefile-pkgconfigdir.patch
Patch2: %name-3.33-alt1-makefile-libs_avoid_version.patch

Requires: lib%name = %version-%release

# Automatically added by buildreq on Wed May 26 2004
BuildRequires: XFree86-devel bzlib-devel freetype2-devel gcc-c++ gcc-g77 ghostscript-classic libImageMagick-devel libjpeg-devel liblcms-devel libpng-devel libstdc++-devel libtiff-devel zlib-devel

%package -n lib%name
Summary: Libraries for pstoedit
Summary(ru_RU.KOI8-R):   pstoedit
Group: Development/C

%package -n lib%name-devel
Summary: Development tools for pstoedit
Summary(ru_RU.KOI8-R):    pstoedit
Group: Development/C
Requires: lib%name = %version-%release
Obsoletes: pstoedit-devel
Provides: pstoedit-devel = %version

%package -n lib%name-devel-static
Summary: Static libraries for developing pstoedit addons
Summary(ru_RU.KOI8-R):       pstoedit
Group: Development/C
Requires: lib%name-devel = %version-%release
Obsoletes: pstoedit-devel-static-%version
Provides: pstoedit-devel-static

%description 
pstoedit converts PostScript and PDF files to various vector graphic
formats. The resulting files can be edited or imported into various
drawing packages. Pstoedit comes with a large set of format drivers
integrated in the binary. Additional drivers can be installed as plugins
and are available via http://www.pstoedit.net/plugins/. Just copy the
plugins to the same directory where the pstoedit binary is installed.
However, unless you also get a license key for the plugins, the
additional drivers will slightly distort the resulting graphics. See the
documentation provided with the plugins for further details.


%description -l ru_RU.KOI8-R
pstoedit   PostScript  PDF    .
       
 .  pstoedit    
  (format drivers).   
   (plugins),    
http://www.pstoedit.net/plugins/.      
 ,      pstoedit. ,
        , 
      . 
   ,  
. 

%description -n lib%name
Libraries for pstoedit

%description -l ru_RU.KOI8-R -n lib%name
  pstoedit

%description -n lib%name-devel
Development tools for pstoedit


%description -l ru_RU.KOI8-R -n lib%name-devel
   pstoedit


%description -n lib%name-devel-static
Static libraries for developing pstoedit addons


%description -l ru_RU.KOI8-R -n lib%name-devel-static
      pstoedit

%prep
%setup -q %name-%version
%patch1 -p1
%patch2 -p1
%__chmod 644 doc/*
%__chmod 644 examples/*
%__chmod 644 java/java1/*
%__chmod 644 java/java2/*
%__chmod 644 othersrc/gsdllinc/*

%build
%configure
%make_build CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS"

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p %postun_ldconfig

%install
%makeinstall pkgdatadir=$RPM_BUILD_ROOT%_datadir/pstoedit
%__install -d $RPM_BUILD_ROOT%_man1dir
%__install -m 664 doc/pstoedit.1 $RPM_BUILD_ROOT%_man1dir

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_libdir/pstoedit/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%__rm -f %buildroot%_libdir/pstoedit/*.a
%endif

%files
%_bindir/pstoedit
%_man1dir/*
%doc changelog.htm index.htm readme.txt doc/pstoedit.tex doc/pstoedit.htm doc/pstoedit.trans examples java

%files -n lib%name
%_libdir/*.so.*
%_libdir/pstoedit/*.so
%dir %_datadir/pstoedit
%_datadir/pstoedit/*

%files -n lib%name-devel
%_bindir/pstoedit-config
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/pstoedit/*.a
%endif

%changelog
* Wed May 26 2004 Yury A. Zotov <yz@altlinux.ru> 3.33-alt5
- buildreq libtiff-devel

* Tue Dec 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 3.33-alt4
- do not package .la files.
- do not build libpstoedit-devel-static subpackage by default.

* Wed Oct 08 2003 Yury A. Zotov <yz@altlinux.ru> 3.33-alt3
- BuildRequires updates for Sisyphus 20031005
- pstoedit-3.32-alt1-configure-libtool_program.patch removed
- rebuild with hasher

* Sat Jan 25 2003 Yury A. Zotov <yz@altlinux.ru> 3.33-alt2
- libpstoedit-devel: provides/obsoletes pstoedit-devel
- libpstoedit-devel-static: provides/obsoletes pstoedit-devel-static

* Mon Jan 13 2003 Yury A. Zotov <yz@altlinux.ru> 3.33-alt1
- new version
- package split: pstoedit, libpstoedit, libpstoedit-{devel,devel-static}

* Sat Oct 26 2002 Yury A. Zotov <yz@altlinux.ru> 3.32-alt1
- new version
- split into pstoedit, pstoedit-devel, pstoedit-devel-static

* Fri Feb 1 2002 Yury Zotov <yz@altlinux.ru> 3.31-alt1
- initial release
